# Uses of Class
org.apache.lucene.util.LongValues

Packages that use LongValues
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.util
Some utility classes.
org.apache.lucene.util.packed
Packed integer arrays and streams.

- ## Uses of LongValues in org.apache.lucene.index

  Methods in org.apache.lucene.index that return LongValues
  Modifier and Type
  Method
  Description
  `LongValues`
  OrdinalMap.`getGlobalOrds(int segmentIndex)`
  Given a segment number, return a `LongValues` instance that maps segment ordinals to global ordinals.

- ## Uses of LongValues in org.apache.lucene.util

  Fields in org.apache.lucene.util declared as LongValues
  Modifier and Type
  Field
  Description
  `static final LongValues`
  LongValues.`IDENTITY`
  An instance that returns the provided value.
  `static final LongValues`
  LongValues.`ZEROES`

- ## Uses of LongValues in org.apache.lucene.util.packed

  Subclasses of LongValues in org.apache.lucene.util.packed
  Modifier and Type
  Class
  Description
  `class`
  `AbstractPagedMutable<T extends AbstractPagedMutable<T>>`
  Base implementation for `PagedMutable` and `PagedGrowableWriter`.
  `final class`
  `DirectMonotonicReader`
  Retrieves an instance previously written by `DirectMonotonicWriter`.
  `class`
  `MonotonicBlockPackedReader`
  Provides random access to a stream written with `MonotonicBlockPackedWriter`.
  `class`
  `PackedLongValues`
  Utility class to compress integers into a `LongValues` instance.
  `final class`
  `PagedGrowableWriter`
  A `PagedGrowableWriter`.
  `final class`
  `PagedMutable`
  A `PagedMutable`.
  Methods in org.apache.lucene.util.packed that return LongValues
  Modifier and Type
  Method
  Description
  `static LongValues`
  DirectReader.`getInstance(RandomAccessInput slice, int bitsPerValue)`
  Retrieves an instance from the specified slice written decoding `bitsPerValue` for each value
  `static LongValues`
  DirectReader.`getInstance(RandomAccessInput slice, int bitsPerValue, long offset)`
  Retrieves an instance from the specified `offset` of the given slice decoding `bitsPerValue` for each value
  `static LongValues`
  DirectReader.`getMergeInstance(RandomAccessInput slice, int bitsPerValue, long numValues)`
  Retrieves an instance that is specialized for merges and is typically faster at sequential access but slower at random access.
  `static LongValues`
  DirectReader.`getMergeInstance(RandomAccessInput slice, int bitsPerValue, long baseOffset, long numValues)`
  Retrieves an instance that is specialized for merges and is typically faster at sequential access.